Skip to main content
Resource Center/Hardware/Zone Operations

DeleteZone

DeleteZone

DELETE/zstack/v1/zones/{uuid}?deleteMode={deleteMode}

Operation ID

DeleteZone

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

  • deleteMode
    StringRequired

    Path parameter.

Query Parameters

  • deleteMode
    String

    Query parameter.

Body Fields

  • deleteMode
    String

    Optional. The delete mode. Options: Permissive | Enforcing. Default mode: Permissive. Permissive: If an error occurs, or if the delete operation is refused, ZStack Cloud will stop the delete operation. In this mode, an error code that contains the failure reason will be returned. Enforcing: ZStack Cloud will ignore all errors and permissions to delete directly the resource. In this mode, the delete operation will always succeed.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}